API referenceProjects

Delete a scene or chapter

Delete a scene or chapter directory as one apply_changes batch (undoable).

Free.

POST
/projects/{id}/fs/rm

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/fs/rm" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{
  "data": {
    "path": "string",
    "dry_run": true,
    "ok": true,
    "applied": true,
    "changes": [
      {
        "field": "string",
        "from": null,
        "to": null
      }
    ],
    "diagnostics": [
      {
        "severity": "error",
        "path": "string",
        "field": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "calls": [
      {
        "service": "string",
        "ok": true,
        "dry_run": true,
        "error": "string",
        "result": null
      }
    ],
    "created": {
      "kind": "chapter",
      "id": "string",
      "path": "string"
    },
    "changeset_id": "string",
    "structure_version": 0
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}